<?php 

class Clientes {

    public function Cadastrar(){
        global $database;

        if(isset($_POST['cad_cli'])){

            $nome_cliente = $_POST['nome_cliente'];
            $bairro = $_POST['bairro'];
            $cell1 = $_POST['cell1'];
            $cell2 = $_POST['cell2'];

            if($insere = $database->query("INSERT INTO clientes(nome_cliente,bairro,cell1,cell2)
            VALUES('$nome_cliente','$bairro','$cell1','$cell2')")){
                $message = "Cliente cadastrado com sucesso";
                $url = "cadastrar_clientes.php";
                echo "<script>window.open('alertas/alertas_good.php?message=$message&&url=$url','_self')</script>";
            }else{
                echo "OCORREU UM ERRO NO CADASTRO";
            }
        }
    }

    public function Actualizar(){
        global $database;
        if(isset($_POST['update'])){

            $nome_cliente = $_POST['nome_cliente'];
            $bairro = $_POST['bairro'];
            $cell1 = $_POST['cell1'];
            $cell2 = $_POST['cell2'];
            $id = $_POST['id'];

        if($update = $database->query("UPDATE clientes SET nome_cliente='$nome_cliente',bairro='$bairro',cell1='$cell1',cell2='$cell2' WHERE id_cliente='$id'")){
            $message = "Cliente actualizado com sucesso";
                $url = "cadastrar_clientes.php";
                echo "<script>window.open('alertas/alertas_good.php?message=$message&&url=$url','_self')</script>"; 
        }else{
            echo "OCORREU UM ERRO NA EDICAO";

        }

        }
    }



    public function Listar(){
        global $database;
        $sql = $database->query("SELECT * FROM clientes");
        while($row = $database->fetch_assoc($sql)){
            $cliente = $row['nome_cliente'];
            echo "<option>$cliente</option>";
        }
    }

      public function Listar2(){
        global $database;
        $sql = $database->query("SELECT * FROM clientes");
        return $sql;
    }

    public function Deletar(){
        global $database;
        if(isset($_GET['id']) && !empty($_GET['id'])){
            $id = $_GET['id'];
           $sql = $database->query("DELETE FROM clientes WHERE id_cliente='$id'");
           echo "<script>window.open('cadastrar_clientes.php','_self')</script>"; 
        }
    }

}

$novoCliente = new Clientes();
?>